=== debian/changelog ===
ros-noetic-novatel-oem7-driver (4.2.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- NovAtel Support <support.novatel@hexagon.com>  Tue, 14 Mar 2023 19:12:27 -0000

ros-noetic-novatel-oem7-driver (4.0.0-1focal) focal; urgency=high

  * Adding new messages
  * Support BESTGNSSPOS log topic publish

 -- NovAtel Support <support.novatel@hexagon.com>  Fri, 04 Mar 2022 07:00:00 -0000

ros-noetic-novatel-oem7-driver (3.0.0-1focal) focal; urgency=high

  * Adding new messages
  * Support PPPPOS, TERRASTARSTATUS, TERRASTARINFO log topic publish

 -- NovAtel Support <support.novatel@hexagon.com>  Wed, 23 Feb 2022 07:00:00 -0000

ros-noetic-novatel-oem7-driver (2.2.0-1focal) focal; urgency=high

  * No feature changes
  * More robust support for compillation for 32 vs. 64 bit targets

 -- NovAtel Support <support.novatel@hexagon.com>  Wed, 03 Feb 2021 07:00:00 -0000

ros-noetic-novatel-oem7-driver (2.1.0-1focal) focal; urgency=high

  * Support for ARM builds: arm32v7, arm64v8 (#1 <https://github.com/novatel/novatel_oem7_driver/issues/1>)
  * Initialization command mechanism robustness improvements

 -- NovAtel Support <support.novatel@hexagon.com>  Thu, 28 Jan 2021 07:00:00 -0000

ros-noetic-novatel-oem7-driver (2.0.0-1focal) focal; urgency=high

  * Support logging 'unknown' OEM7 messages under Oem7Raw topic
  * Populate gps_common/GPSStatus.status with more detailed status info
  * Source gps_common/GPSFix, gps_common/NavSatFix position data from the most recent and higher quality
    INSPVAS or BESTPOS/BESTVEL messsage.Previously, position data was always sourced from BESTPOS/BESTVEL, which is transmitted
    at lower rate than INSPVAS
    (#13 <https://github.com/novatel/novatel_oem7_driver/issues/13>)
  * Support nmea_msgs/Sentence for all OEM7 NMEA0183 messages (#4 <https://github.com/novatel/novatel_oem7_driver/issues/4>)
  * Support nav_msgs/Odometry, with position and orientation populated based on BESTPOS/BESTVEL/INSPVAS
    (#8 <https://github.com/novatel/novatel_oem7_driver/issues/8>)

 -- NovAtel Support <support.novatel@hexagon.com>  Fri, 18 Dec 2020 07:00:00 -0000

ros-noetic-novatel-oem7-driver (1.1.0-1focal) focal; urgency=high

  * No feature changesBuild fixes and documentation improvements.

 -- NovAtel Support <support.novatel@hexagon.com>  Sat, 02 May 2020 06:00:00 -0000

ros-noetic-novatel-oem7-driver (1.0.0-1focal) focal; urgency=high

  * Initial release

 -- NovAtel Support <support.novatel@hexagon.com>  Mon, 20 Apr 2020 06:00:00 -0000
