=== debian/control ===
Source: ros-noetic-novatel-oem7-driver
Section: misc
Priority: optional
Maintainer: NovAtel Support <support.novatel@hexagon.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-noetic-catkin, ros-noetic-gps-common, ros-noetic-nav-msgs, ros-noetic-nmea-msgs, ros-noetic-nodelet, ros-noetic-novatel-oem7-msgs, ros-noetic-rosbag <!nocheck>, ros-noetic-roscpp, ros-noetic-rostest <!nocheck>, ros-noetic-sensor-msgs, ros-noetic-tf2-geometry-msgs
Homepage: http://www.novatel.com
Standards-Version: 3.9.2

Package: ros-noetic-novatel-oem7-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-noetic-gps-common, ros-noetic-nav-msgs, ros-noetic-nmea-msgs, ros-noetic-nodelet, ros-noetic-novatel-oem7-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-tf2-geometry-msgs
Description: NovAtel Oem7 ROS Driver
